Subject: [bug#35456] [PATCH 0/1] Add 'guix install', 'guix remove', and 'guix upgrade'

From: Jonathan Brielmaier <[email-masked]>
Date: Mon, 29 Apr 2019 09:42:02 +0200

> I agree the CLI structure could be improved in several areas.  In fact,
> there have been radical proposals in the past to overhaul the whole CLI.
> 
> I think “guix install” & co. require special attention though: people
> have come to expect install/remove/upgrade sub-commands from their
> package manager and these are the first commands they’ll run.  It costs
> us very little in terms of maintenance, but it certainly helps newcomers
> get started.
> 
> Does that make sense?

If you are so confident, go ahead and make me happy by adding at least
'guix search' :)